"""
@author: luojunhui
"""
import json

import requests

from config import ACCOUNT_VIDEO, ARTICLE_URL


def get_pq_video_detail(video_id):
    """
    获取票圈视频详情信息
    :return:
    """
    url = "https://longvideoapi.piaoquantv.com/longvideoapi/openapi/video/batchSelectVideoInfo"
    data = {
        "videoIdList": [video_id]
    }
    header = {
        "Content-Type": "application/json",
    }
    response = requests.post(url, json=data, headers=header)
    return response.json()


def generate_response(gh_id):
    """
    输入gh_id, 通过配置文件， 返回结果
    :param gh_id:
    :return:

    """
    msg_list = ACCOUNT_VIDEO[gh_id]
    response_list = []
    for msg in msg_list:
        item = {
            "groupIndex": msg['groupIndex'],
            "msgDataList": []
        }
        video_info_list = sorted(msg['groupVideoList'], key=lambda x: x['videoIndex'])
        for video in video_info_list:
            video_id = video['videoId']
            video_detail = get_pq_video_detail(video_id)['data'][0]
            obj = {
                "msgType": 1,
                "title": video_detail['title'],
                "coverUrl": video_detail['shareImgPath'],
                "miniAppId": "wxbdd2a2e93d9a6e25",
                "miniPagePath": video['pagePath'],
                "newsUrl": "",
                "newsDescription": "",
                "miniVideoId": video_id
            }
            item['msgDataList'].append(obj)
        article_obj = ARTICLE_URL[gh_id]
        item['msgDataList'].append(article_obj)
        response_list.append(item)
    return response_list
